/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop;

/**
 * @author Shen Li
 */
public interface ObjectFactory {
    Object newInstance(Class clazz);

    Object newInstance(Class clazz, Class[] argTypes, Object[] args);

    Object newInstance(String className);

    Object newInstance(String className, Class[] argTypes, Object[] args);
}
